<div class="toda-la-vista">

  <mat-form-field appearance="standard">
    <mat-label>Buscar persona...</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Nombre, apellido, etc" #input>
  </mat-form-field>

  <!-- <button mat-raised-button ([routerLink]="['/add']")> Alta </button> -->
  <button mat-raised-button (click)=alta()> Alta </button>

  <table mat-table [dataSource]="personasTabla" class="mat-elevation-z8">
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> Nombre </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>

    <ng-container matColumnDef="surname">
      <th mat-header-cell *matHeaderCellDef> Apellido </th>
      <td mat-cell *matCellDef="let element"> {{element.surname}} </td>
    </ng-container>

    <ng-container matColumnDef="botones">
      <th mat-header-cell *matHeaderCellDef> Opciones </th>
      <td mat-cell *matCellDef="let row" class="botones">
        <div fxLayout="row" fxLayoutAlign="space-around center">
          <button mat-button (click)=baja(row.id_persona) class="boton_baja"> Baja </button>
          <button mat-button (click)=modificar(row) class="boton_modificar"> Modificar </button>
          <button mat-button [routerLink]="['/detalle', row.id_persona]" (click)="pulsaDetalle()" class="boton_detalle">Detalle</button>
        </div>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No se ha podido encontrar personas con la siguiente información: "{{input.value}}"</td>
    </tr>
  </table>

</div>

<router-outlet></router-outlet>